* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

div,
span,
button,
section,
header {
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10+ and Edge */
  user-select: none; /* Standard syntax */
}

html,
body {
  padding: 0;
  margin: 0;
  overflow-x: hidden;
}

html {
  min-height: 100%;
}

body {
  @extend .body-text;
  min-height: 100vh;
  color: $text-primary;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.bg-block {
  background: $text-lightest-gray;
}
.bg-overlay {
  background: $bg-overlay-4;
}
.bg-popup {
  background: $bg-white;
}

.color-secondary {
  color: $text-secondary !important;
}
.color-inactive {
  color: $text-gray !important;
}
.color-white {
  color: $text-white !important;
}

.error {
  color: $text-red !important;
}
.warning {
  color: $text-yellow !important;
}
.success {
   color: $text-green !important;
}

.of-hidden {
  overflow: hidden;
}
.overflow-fix {
  @extend .of-hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.link-to-all-wrap {
  position: relative;

  .link-to-all {
    position: absolute;
    top: 0;
    right: 0;
  }
}
